import { Analytics, JsonMap } from '@segment/analytics-react-native';
import { Event, Properties, RequestLoggerPlugin, PluginLoadOptions, PluginCallOptions } from '@itly/sdk';
export declare type SegmentOptions = Analytics.Configuration;
export interface SegmentCallOptions extends PluginCallOptions {
    options?: {
        integrations?: {
            [key: string]: boolean;
        };
    } & JsonMap;
}
export interface SegmentAliasOptions extends SegmentCallOptions {
}
export interface SegmentIdentifyOptions extends SegmentCallOptions {
}
export interface SegmentGroupOptions extends SegmentCallOptions {
}
export interface SegmentPageOptions extends SegmentCallOptions {
}
export interface SegmentTrackOptions extends SegmentCallOptions {
}
/**
 * Segment React Native Plugin for Iteratively SDK
 */
export declare class SegmentPlugin extends RequestLoggerPlugin {
    private writeKey;
    private readonly options?;
    constructor(writeKey: string, options?: Analytics.Configuration | undefined);
    load(options: PluginLoadOptions): void;
    alias(userId: string, previousId: string | undefined, options?: SegmentAliasOptions): Promise<void>;
    identify(userId: string | undefined, properties: Properties | undefined, options?: SegmentIdentifyOptions): Promise<void>;
    group(userId: string | undefined, groupId: string, properties?: Properties, options?: SegmentGroupOptions): Promise<void>;
    page(userId: string | undefined, category: string | undefined, name: string, properties?: Properties, options?: SegmentPageOptions): Promise<void>;
    track(userId: string | undefined, { name, properties }: Event, options?: SegmentTrackOptions): Promise<void>;
    reset(): Promise<void>;
    flush(): Promise<void>;
}
export default SegmentPlugin;
